/*
 * Class MEM_CONST
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_120 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_120 [] = {0xFF01,237,119,0xFFFF};
static const EIF_TYPE_INDEX egt_2_120 [] = {0xFF01,119,0xFFFF};
static const EIF_TYPE_INDEX egt_3_120 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_120 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_120 [] = {0xFF01,119,0xFFFF};
static const EIF_TYPE_INDEX egt_6_120 [] = {0xFF01,119,0xFFFF};
static const EIF_TYPE_INDEX egt_7_120 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_120 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_120 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_120 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_120 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_120 [] = {0xFF01,119,0xFFFF};


static const struct desc_info desc_120[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_120), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_120), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_120), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_120), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_120), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_120), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_120), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_120), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_120), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_120), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_120), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_120), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xEF /*119*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_120), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1640, 0xFFFFFFFF},
};
void Init120(void)
{
	IDSC(desc_120, 0, 119);
	IDSC(desc_120 + 1, 1, 119);
	IDSC(desc_120 + 32, 335, 119);
}


#ifdef __cplusplus
}
#endif
